Bug 225010 - Review Request: glob2 - An innovative RTS game
Review Request: glob2 - An innovative RTS game
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
: 191005 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-01-27 08:05 EST by Rafał Psota
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-23 10:25:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
tcallawa: fedora‑cvs+

Attachments (Terms of Use)
Patch to prevent configure from overriding CXXFLAGS (731 bytes, text/x-patch)
2007-01-29 00:05 EST, Ralf Corsepius
no flags Details
Patch glob2.spec to use *-configure.diff (1.09 KB, text/x-patch)
2007-01-29 00:07 EST, Ralf Corsepius
no flags Details

  None (edit)
Description Rafał Psota 2007-01-27 08:05:24 EST
Spec URL: http://rafalzaq.nonlogic.org/fedora/glob2/glob2.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/glob2/glob2-0.8.21-1.src.rpm
Description: Globulation 2 brings a new type of gameplay to RTS games. The player chooses
the number of units to assign to various tasks, and the units do their best to
satisfy the requests. This allows players to manage more units and focus on
strategy rather than individual unit's jobs. Globulation 2 also features AI
allowing single-player games or any possible combination of human-computer
teams. Also included is a scripting language for versatile gameplay or
tutorials and an integrated map editor. Globulation2 can be played in single
player mode, through your local network, or over the Internet with Ysagoon
Online Gaming (or YOG for short).
Comment 1 Rafał Psota 2007-01-27 08:07:08 EST
*** Bug 191005 has been marked as a duplicate of this bug. ***
Comment 2 Ralf Corsepius 2007-01-29 00:03:50 EST
One remark:

- MUSTFIX: package doesn't honor RPM_OPT_FLAGS
Comment 3 Ralf Corsepius 2007-01-29 00:05:55 EST
Created attachment 146809 [details]
Patch to prevent configure from overriding CXXFLAGS

This patch hacks configure/configure.in to not override CXXFLAGS.
Comment 4 Ralf Corsepius 2007-01-29 00:07:29 EST
Created attachment 146810 [details]
Patch glob2.spec to use *-configure.diff
Comment 5 Rafał Psota 2007-01-29 12:15:10 EST
Thanks for these patches.

Spec URL: http://rafalzaq.nonlogic.org/fedora/glob2/glob2.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/glob2/glob2-0.8.21-2.src.rpm
Comment 6 Christopher Stone 2007-01-30 17:12:26 EST
Why do you split this into two packages?
Comment 7 Rafał Psota 2007-01-30 17:36:57 EST
It's recommended by the games Packaging Guidelines:

"Package game files and data files separately, if possible, to reduce size of
bugfix updates. This must be done if upstream packages game data in separate
tarballs, and should be done even if upstream uses one tarball for game source
and data. See Nazghul and tong for examples."
Comment 8 Christopher Stone 2007-01-30 18:29:48 EST
I think they meant in seperate spec files.  If you bug fix the glob2 source and
update your release number, then the data package also gets the updated releace
number because they are in the same spec file.
Comment 9 Christopher Stone 2007-01-30 18:34:25 EST
Although looking at nazghul and tong, they both do the same thing you are doing,
so I am confused by this guideline.  I'm going to try and clarify this on the
fedora-games mailing list.
Comment 10 Hans de Goede 2007-02-16 09:45:00 EST

About closing bug 191005 as a dup of this, that review was actually still 
active I must admit it didn't look like that, that is because most of the 
discussion was taking place elsewhere as Nikolai needed (and still needs) 
sponsering. I didn't get around to reviewing one of his other packages and 
sponser him because of various circumstances.

AFAIK Nikolai still wants to become an FE contributer and is still interested 
in maintaining glob2. Nikolai I've added you to the CC for this, what do you 
think about this?

Comment 11 Rafał Psota 2007-02-16 10:16:01 EST
Ok, I'll wait for Nikolais reply. If he is really interested in maintaining
glob2 I'll let him to do it.
Comment 12 Hans de Goede 2007-02-16 10:50:08 EST
Erm, thats not completely what I had in mind, what I had in mind (but didn't
write) is that you and Nikolai could co-maintain it. Since Nikolai is somewhat
new to all this I think co-maintaining would be a good idea!

Now lets hope Nikolai responds soon.
Comment 13 Hans de Goede 2007-03-18 15:31:17 EDT

Since Nikolais is not responding (and has a history of not doing so, hence his
submission of glob2 had stalled), I suggest moving on without him. Shall I
review this for you? (as time permits). Or maybe Chris wants to review this?

Comment 14 Rafał Psota 2007-03-22 06:48:05 EDT
You can do the review. It doesn't matter for me who will review glob2.
Comment 15 Nigel Jones 2007-04-10 07:54:55 EDT
As someone just sticking their nose in, (I pretty much made a spec file and was
about to submit it for review (as a first review) and happened to stumble on
this bug), I've noticed that the -data package does not seem to take ownership
of dirs (use %dir <dirname>).

Also, the Glob2 dev team released a .22 version (it appears that maps were
accidently omitted, you may need to pack them in as a seperate tarball - I was
advised this is okay in the case of genuine omissions).
Comment 16 Hans de Goede 2007-04-17 14:04:55 EDT
Rafal, if you can create and upload an updated version, then maybe we can
exchange reviews? I myself also have several game packages awaiting review:

* asc-music - Background music for the game asc -
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233256 - requires asc
* vegastrike - 3D OpenGL spaceflight simulator -
* vegastrike-data - Data files for Vega Strike -
* ballz - Platform game with some puzzle elements -
Comment 17 Hans de Goede 2007-05-03 14:07:31 EDT

Ping? I can review this for you, but first please provide an updated spec / srpm
for the latest upstream version (23 now).
Comment 18 Rafał Psota 2007-05-04 09:56:42 EDT
Updated to 0.8.23

Spec URL: http://rafalzaq.nonlogic.org/fedora/glob2/glob2.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/glob2/glob2-0.8.23-1.src.rpm

I have problems with campaign. First mission doesn't end. I'll ask upstream
what's going on.
Comment 19 Sander Hoentjen 2007-05-09 04:26:02 EDT
I built .23 locally, and it doesn't show any campaign (while .21 does). I am
running on x86_64.
Other then that it is a very nice game!
Comment 20 Hans de Goede 2007-05-10 15:05:10 EDT
(In reply to comment #18)
> Updated to 0.8.23
> Spec URL: http://rafalzaq.nonlogic.org/fedora/glob2/glob2.spec
> SRPM URL: http://rafalzaq.nonlogic.org/fedora/glob2/glob2-0.8.23-1.src.rpm
> I have problems with campaign. First mission doesn't end. I'll ask upstream
> what's going on.


I've just compared you're package with the mandrake package hosted on the
homepage, and I noticed that mandrake uses autoreconf -f -i, you could try
adding that to end of %prep instead of this hack:
%{__sed} -i '1871d' configure
touch -c -r aclocal.m4 configure configure.in

You can also try commenting %patch0, the mandrake srpm doesn't have any patches.

Maybe that will fix things. As said I would be happy to review this, but if it
doesn't work, its little good. If all else fails downgrade to .22 or .21

Some other initial review remarks:
Merge the -data package into the main, having a seperate data package when its
in the same srpm is of no use.

Move the icon from /usr/share/pixmaps to /usr/share/icons/hicolor/<size>/apps
and add iconcache update scripts.
Comment 21 Rafał Psota 2007-05-21 09:51:13 EDT
Spec URL: http://rafalzaq.nonlogic.org/fedora/glob2/glob2.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/glob2/glob2-0.8.21-1.src.rpm

I've downgraded glob2 to 0.8.21.
I've also moved -data package into the main and moved icons to the right place. 
Patch1 must be as is. I've tried other methods but without success.
Comment 22 Hans de Goede 2007-05-22 09:51:52 EDT
* rpmlint output is:
This is "normal" for this package and can be ignored
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* No shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions
* %clean & macro usage OK
* Contains code and permissable content
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed
* .desktop file as required and properly installed

Should FIX
* Change not working Source0 URL from:
  to the new / working:

No blockers, approved!
Comment 23 Rafał Psota 2007-05-22 14:31:39 EDT
New Package CVS Request
Package Name: glob2
Short Description: An innovative RTS game
Owners: rafalzaq@gmail.com
Branches: FC-6 F-7
Comment 24 Tom "spot" Callaway 2007-05-22 15:13:30 EDT
CVS done.
Comment 25 Rafał Psota 2007-05-23 10:25:31 EDT
Thanks for review.
Tagged and built. Closing

Note You need to log in before you can comment on or make changes to this bug.